<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

    <link rel="stylesheet" type="text/css" media="screen" href="includes/style.css"/>
	<link rel="shortcut icon" href="images/favicon.png" type="image/png" />
	
    <!--[if IE]>
    <link rel="stylesheet" type="text/css" media="screen" href="/includes/style-ie.css"/>
    <![endif]-->
    
    <title>Cappuccino Web Framework - How to enable JavaScript in your browser</title>
    
    <style type="text/css">
        .yesJS {
            padding: 15px;
            background-color: #aaffaa;
        }
        
        .noJS {
            padding: 15px;
            background-color: #ffaaaa;
        }
    </style>
    
</head>
<body>

    <div id="headerWrapper">
        <div id="headerContent">
            <div id="navigation">
            
                    
                        <div class="navigationLink">
                            <a href="/">Home</a>
                        </div>
                        
                        <div class="navigationLink">
                            <a class="activeLink" href="/learn/">
                            Learn</a>
                            <div id="navigationMarker"></div>
                        </div>
                        
                        <div class="navigationLink">
                            <a href="/discuss/">Discuss</a>
                        </div>
                        
                        <div class="navigationLink">
                            <a href="/contribute/">Contribute</a>
                        </div>
                        
                        <div class="navigationLink">
                            <a href="/download/">Download</a>
                        </div>
                                    
            </div>
            <div id="cappuccinoAnchor">
                <a href="/"><img width="32" height="32" id="cappuccinoAnchorLogo" src="images/cappuccino-small.png" alt=" " /></a>
                <a href="/">cappuccino.org</a>
            </div>
        </div>
    </div>

    <div id="topContentWrapper"></div>
    
    <div id="mainContentWrapper">
        <div id="mainContent">

            <div id="subNavigation">
            
            <h3>Learn</h3>
                <ul>
                
                  <li>                     
                    <a href="/learn/">About Cappuccino</a></li>   
                    
                 <li>                      
                    <a href="/learn/demos/">Demos</a></li>   
                    
                 <li class="active">                      
                    <a href="/learn/tutorials/">Tutorials</a></li>   
                    
                 <li>                      
                    <a href="/learn/documentation/annotated.html">Documentation</a></li>   
                    
                                
                </ul>

            </div>
            
            <div id="mainContentDetail">
            
                <h2>How to enable JavaScript in your browser</h2>



                <script>
                    <!--
                        document.write("<div class=\"yesJS\"><p>JavaScript is already enabled in your browser.  You do not need to follow the steps on this page.</p></div>");
                    -->
                </script>
                <noscript>
                    <div class="noJS">
                        <p>
                            JavaScript is currently disabled in your browser.  Follow the steps below to enable it.
                        </p>
                    </div>
                </noscript>
                <?php
                
                    $userAgent = $_SERVER['HTTP_USER_AGENT'];
                
                    // Operating systems
                    $os = "Unknown"; // Default value
                    if (strpos($userAgent, 'Mac')) {
                        $os = "Mac OS X";
                    } else if (strpos($userAgent, 'Win')) {
                        $os = "Windows"; 
                    } else if (strpos($userAgent, 'Linux')) {
                        $os = "Linux";
                    }
                
                    // Browsers
                    $browser = "Unknown"; // Default value

                    if (strPos($userAgent, '3.0 Safari')    ||
                        strPos($userAgent, '3.0.1 Safari')  ||
                        strPos($userAgent, '3.0.2 Safari')  ||
                        strPos($userAgent, '3.0.3 Safari')  ||
                        strPos($userAgent, '3.0.4 Safari')  ||
                        strPos($userAgent, '3.1 Safari')    ||
                        strPos($userAgent, '3.1.1 Safari')  ||
                        strPos($userAgent, '3.1.2 Safari')  ||
                        strPos($userAgent, '3.2 Safari')    ||
                        strPos($userAgent, '3.2.1 Safari')) {
                        
                        $browser = "Safari 3.x";
                        
                    } else if (strpos($userAgent, 'Safari')) {
                        
                        $browser = "Safari";
                        
                    } else if (strpos($userAgent, 'Firefox/3.0')) {
                        
                        $browser = "Firefox 3.x";
                        
                    } else if (strpos($userAgent, 'Firefox/2.0')) {
                        
                        $browser = "Firefox 2.x";
                        
                    } else if (strpos($userAgent, 'Firefox/1.5')) {
                        
                        $browser = "Firefox 1.5x";
                        
                    } else if (strpos($userAgent, 'Firefox/1.0')) {
                        
                        $browser = "Firefox 1.0x";
                        
                    } else if (strpos($userAgent, 'Opera/9') > -1) {
                        
                        $browser = "Opera 9.x";
                        
                    } else if (strpos($userAgent, 'MSIE 5')) {
                        
                        $browser = "Internet Explorer 5.x";
                        
                    }
                    
                    echo "\n\t\t<!--\n";
                    echo "\t\t\tDetected environment\n";
                    echo "\t\t\t====================\n";
                    echo "\t\t\tOperating System: " . $os . "\n";
                    echo "\t\t\tBrowser: " . $browser . "\n";
                    echo "\t\t\tUser Agent: " . $userAgent . "\n";
                    echo "\t\t-->\n";
                
                    if ($browser == "Safari 3.x") { // Safari
                        if ($os == "Mac OS X") {
                            include'safari_3_mac.php';
                        } else {
                            include'safari_3.php';
                        }
                    } else if ($browser == "Safari") {
                        include'safari_2_mac.php';
                    } else if ($browser == "Firefox 3.x") { // Firefox
                        if ($os == "Mac OS X") {
                            include'firefox_3_mac.php';
                        } else {
                            include'firefox_3.php';
                        }
                    } else if ($browser == "Firefox 2.x") {
                        if ($os == "Mac OS X") {
                            include'firefox_2_mac.php';
                        } else {
                            include'firefox_2.php';
                        }
                    } else if ($browser == "Firefox 1.5x") {
                        if ($os == "Mac OS X") {
                            include'firefox_1_5_mac.php';
                        } else {
                            include'firefox_1_5.php';
                        }
                    } else if ($browser == "Firefox 1.0x") {
                        if ($os == "Mac OS X") {
                            include'firefox_1_mac.php';
                        } else {
                            include'firefox_1.php';
                        }
                    } else if ($browser == "Opera 9.x") { // Opera
                        if ($os == "Mac OS X") {
                            include'opera_9_mac.php';
                        } else {
                            include'opera_9.php';
                        }
                    } else if ($browser == "Opera 8.x") {
                        if ($os == "Mac OS X") {
                            include'opera_8_mac.php';
                        } else {
                            include'opera_8.php';
                        }
                    } else if ($browser == "Internet Explorer") { // IE
                        if ($os == "Mac OS X") {
                            include'explorer_5_mac.php';
                        } else {
                            include'explorer.php';
                        }
                    } else { // Other
                        include'unknown.php';
                    }
                
        
                ?>
    





















            </div>
            
            <div style="clear: both;"></div>
        </div>
    </div>


    <div id="footerWrapper">
        <div id="footerContent">
            <div class="footerNavSection">
                <h4><a href="/learn">Learn</a></h4>
                <ul>
                    <li><a href="/learn">About Cappuccino</a></li>
                    <li><a href="/learn/demos">Demos</a></li>
                    <li><a href="/learn/tutorials">Tutorials</a></li>
                    <li><a href="/learn/documentation/annotated.html">Documentation</a></li>
                                    </ul>
            </div>
            <div class="footerNavSection">
                <h4><a href="/discuss">Discuss</a></h4>
                <ul>
                    <li><a href="/discuss">Cappuccino Blog</a></li>
                    <li><a href="http://www.reddit.com/r/Cappuccino/">Latest News</a></li>
                    <li><a href="/discuss/events/">Events</a></li>
                    <li><a href="/discuss/list.php">Mailing List &amp; IRC</a></li>
                    <li><a href="/discuss/faq.php">Frequently Asked Questions</a></li>
                </ul>
            </div>
            <div class="footerNavSection">
                <h4><a href="/contribute">Contribute</a></h4>
                <ul>
                    <li><a href="http://github.com/280north/cappuccino">Source Code</a></li>
                    <li><a href="http://cappuccino.lighthouseapp.com/dashboard">Bug Tracking</a></li>
                    <li><a href="http://github.com/280north/cappuccino/wikis">Wiki</a></li>
                    <li><a href="http://github.com/280north/cappuccino/wikis/projects-to-work-on">Projects to Work On</a></li>
                </ul>
            </div>
            <div class="footerNavSection">
                <h4><a href="/download">Download</a></h4>
                <p>Cappuccino and Objective-J are licensed under the <a href="/learn/lgpl.txt">LPGL</a>.
                For more information, see our <a href="/learn/licensing.php">licensing page</a>.</p>
            </div>
            
            <div id="copyrightInfo">
                Copyright &copy; 2008 - <a href="http://280north.com">280 North, Inc.</a>  
                Cappuccino and Objective-J are registered Trademarks of 280 North.
                <!--<a href="#">Legal Information</a>.-->
                <a href="http://madebysofa.com"><img src="images/minisofa.png" alt="" /></a>
                Logo by <a href="http://madebysofa.com">Sofa</a>.
            </div>
        </div>
    </div>

<script type="text/javascript">
var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
var pageTracker = _gat._getTracker("UA-3877734-4");
pageTracker._trackPageview();
</script>

</body>
</html>